aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-uptime/APKBUILD
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-03-30 12:31:46 +0200
committerprspkt <prspkt@protonmail.com>2019-03-30 12:31:46 +0200
commit3114773192f1ba690433e9b172a720f047970b5b (patch)
tree4a14fc3e5b5e8a418ac86c27940e31c90e464131 /testing/py3-uptime/APKBUILD
parent5581babf22091528fbc5e2e19be9b7230fd8e816 (diff)
downloadaports-3114773192f1ba690433e9b172a720f047970b5b.tar.gz
aports-3114773192f1ba690433e9b172a720f047970b5b.tar.bz2
aports-3114773192f1ba690433e9b172a720f047970b5b.tar.xz
testing/py-uptime: upgrade to python3
Diffstat (limited to 'testing/py3-uptime/APKBUILD')
-rw-r--r--testing/py3-uptime/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/py3-uptime/APKBUILD b/testing/py3-uptime/APKBUILD
new file mode 100644
index 0000000000..e9599174c3
--- /dev/null
+++ b/testing/py3-uptime/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py3-uptime
+_pkgname=uptime
+pkgver=3.0.1
+pkgrel=0
+pkgdesc="A Python uptime library"
+url="https://github.com/Cairnarvon/uptime"
+arch="all"
+license="BSD"
+provides="py-uptime" # for backwards compatibility
+replaces="py-uptime=$pkgver-r$pkgrel" # for backwards compatibility
+depends="python3"
+depends_dev=""
+makedepends="python3-dev py3-setuptools"
+install=""
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="046063e97abbee37bf8de3fd16df674d uptime-3.0.1.tar.gz"
+sha256sums="7c300254775b807ce46e3dcbcda30aa3b9a204b9c57a7ac1e79ee6dbe3942973 uptime-3.0.1.tar.gz"
+sha512sums="55df1c30aa4be3e873ad36d0f784d49bc127d2bd38041c1453b112474dd52033e55d277172d8fdd73b3fabc7bf5071f29329d2a828244ef420d2da7db0f49a54 uptime-3.0.1.tar.gz"